%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  bangladesh
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Provides Ready to Use Shapefiles for Geographical Map of Bangladesh

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-tmap 
BuildRequires:    R-CRAN-sf 
Requires:         R-CRAN-tmap 
Requires:         R-CRAN-sf 

%description
Usually, it is difficult to plot choropleth maps for Bangladesh in 'R'.
The 'bangladesh' package provides ready-to-use shapefiles for different
administrative regions of Bangladesh (e.g., Division, District, Upazila,
and Union). This package helps users to draw thematic maps of
administrative regions of Bangladesh easily as it comes with the 'sf'
objects for the boundaries. It also provides functions allowing users to
efficiently get specific area maps and center coordinates for regions.
Users can also search for a specific area and calculate the centroids of
those areas.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
